# Duplicate an event to selected dates

Endpoint: POST /locations/{location_id}/events/{event_id}/duplicate
Version: 2.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (integer, required)

  - `event_id` (integer, required)

## Request fields (application/json):

  - `dates` (array, required)
    Every item must be ISO 8601 (`2026-07-20T10:00:00` or `2026-07-20T10:00:00+0300`); one invalid date rejects the whole request with 422

  - `content_type` (integer)
    Enum: "1", "2"

  - `force` (boolean)

## Response 201:

  - `201` (unknown)
    JSON:API collection of created events

## Response 400:

  - `400` (unknown)
    Invalid duplication request

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

## Response 409:

  - `409` (unknown)
    A team member or resource is busy

